/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * Model149
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model149 {
  @SerializedName("total_price_with_taxes")
  private BigDecimal totalPriceWithTaxes = null;

  @SerializedName("total_taxes")
  private BigDecimal totalTaxes = null;

  public Model149 totalPriceWithTaxes(BigDecimal totalPriceWithTaxes) {
    this.totalPriceWithTaxes = totalPriceWithTaxes;
    return this;
  }

   /**
   * Total price including taxes
   * minimum: 0
   * @return totalPriceWithTaxes
  **/
  @ApiModelProperty(value = "Total price including taxes")
  public BigDecimal getTotalPriceWithTaxes() {
    return totalPriceWithTaxes;
  }

  public void setTotalPriceWithTaxes(BigDecimal totalPriceWithTaxes) {
    this.totalPriceWithTaxes = totalPriceWithTaxes;
  }

  public Model149 totalTaxes(BigDecimal totalTaxes) {
    this.totalTaxes = totalTaxes;
    return this;
  }

   /**
   * Total amount of taxes
   * minimum: 0
   * @return totalTaxes
  **/
  @ApiModelProperty(value = "Total amount of taxes")
  public BigDecimal getTotalTaxes() {
    return totalTaxes;
  }

  public void setTotalTaxes(BigDecimal totalTaxes) {
    this.totalTaxes = totalTaxes;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model149 model149 = (Model149) o;
    return Objects.equals(this.totalPriceWithTaxes, model149.totalPriceWithTaxes) &&
        Objects.equals(this.totalTaxes, model149.totalTaxes);
  }

  @Override
  public int hashCode() {
    return Objects.hash(totalPriceWithTaxes, totalTaxes);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model149 {\n");
    
    sb.append("    totalPriceWithTaxes: ").append(toIndentedString(totalPriceWithTaxes)).append("\n");
    sb.append("    totalTaxes: ").append(toIndentedString(totalTaxes)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

